using e_suite.Database.Core.Models;
using NUnit.Framework;

namespace e_suite.Database.Core.UnitTests;

[TestFixture]
public class EmailUserActionTypeUnitTests
{
    [Test]
    public void EmailUserActionType_PasswordReset_Is0()
    {
        Assert.That((int)EmailUserActionType.PasswordReset, Is.EqualTo(0));
    }

    [Test]
    public void EmailUserActionType_DisableAuthenticator_Is1()
    {
        Assert.That((int)EmailUserActionType.DisableAuthenticator, Is.EqualTo(1));
    }

    [Test]
    public void EmailUserActionType_ConfirmEmailAddress_Is2()
    {
        Assert.That((int)EmailUserActionType.ConfirmEmailAddress, Is.EqualTo(2));
    }
}